/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class Accountant extends RelMgmt.Party.PersonRole {
    public BigDecimal calcAvgInvoice() {
        return new BigDecimal(0);
    }

    /**  */
    public boolean isAuthorizedToPostAmtOnDate() {
        return false;
    }

    public Vector listInvoices() {
        return new Vector();
    }

    public Vector listCostAndOverheadAllocations() {
        return new Vector();
    }

    public Vector listPostings() {
        return new Vector();
    }

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private MatlResMgmt.InvoiceFromSupplier.InvoiceFromSupplier lnkUnnamed2;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private AccountingMgmt.Posting.PostingLimitAuthorization lnkUnnamed3;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed4;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.InvoiceToCustomer.InvoiceToCustomer lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ProductSaleMgmt.ProductAssessment.CostAndOverheadAllocation lnkUnnamed5;
}


